/*
 * Nomen - a New Opensource Mugen Editor by Nobun
 *
 *
 *  Copyright (C) 2011  Nobun
 *  http://mugenrebirth.forumfree.it
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program (GPL.txt).  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************/

#ifndef MAIN_SUBSFF_SFF_EXTRACT_H
#define MAIN_SUBSFF_SFF_EXTRACT_H
 

#include "../../frmMain.h"

#include <QDialog>
#include <QGroupBox>
#include <QRadioButton>
#include <QPushButton>

//!This class contains the code for the Dialog that allows you how to extract Sff
/*!
   The dialog will show you only the options you need to set (it depends of what "extract menu" you choosed (if "Extract All", "Extract Actual Image" or "Extract Palettes Only")
*/
class dlgSffExtract : public QDialog
{
    Q_OBJECT
    
private:
    frmMain * parent;
    int val;

private:
    QGroupBox * grp1;
    QRadioButton * pcx;
    QRadioButton * png;
    QRadioButton * bmp;
    QGroupBox * grp2;
    QRadioButton * palact;
    QRadioButton * pal;
    QRadioButton * act;
    QPushButton * btnCancel;
    QPushButton * btnOk;

public:
    dlgSffExtract(frmMain * _parent, int _val);
    void disablePal();
    void disableImg();
        
private slots:
    void slotOk();
};

#endif

