/*
 * Nomen - a New Opensource Mugen Editor by Nobun
 *
 *
 *  Copyright (C) 2011  Nobun
 *  http://mugenrebirth.forumfree.it
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program (GPL.txt).  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************/

#ifndef SFF_DLG_CURRENT_SPRITE_CHANGE_PAL_H
#define SFF_DLG_CURRENT_SPRITE_CHANGE_PAL_H
 
#include <QDialog>
#include "../SffWidget.h"
#include "ui_DlgCurrentSpriteChangePalDlg.h"

class DlgCurrentSpriteChangePal : public QDialog
{
    Q_OBJECT
    
private:
    SffWidget * parent;
    void setList();
    QList <int> values;
    int palid;
    
public:	
    Ui::DlgCSCPdlg ui;
	DlgCurrentSpriteChangePal(SffWidget * _parent, int _palid);
	
private slots:
    void slotCheckRadio();
    void slotApplyAlternate();
    void slotOpenPalFile();
	
};

#endif

