/*
 * Nomen - a New Opensource Mugen Editor by Nobun
 *
 *
 *  Copyright (C) 2011  Nobun
 *  http://mugenrebirth.forumfree.it
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program (GPL.txt).  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************/

#ifndef SFF_DLG_ADD_IMAGE_H
#define SFF_DLG_ADD_IMAGE_H
 

#include "../SffWidget.h"
#include "ui_dlgAddImage.h"
#include <QStringList>

/*
sffWidget is the class that implements the widget for sff management
*/ 
 
//! This is the dialog that allows you to Add Images
class dlgAddImage : public QDialog
{
    Q_OBJECT
    
private:
    SffWidget * parent;
    QStringList filelist;
    int insertTo;

public:
    Ui::dlgAddImageDLG ui;
    dlgAddImage(SffWidget * _parent, QStringList _filelist, int _insertTo);
    
public slots:
    void slotOk();
    
};

#endif

