/*
 * Nomen - a New Opensource Mugen Editor by Nobun
 *
 *
 *  Copyright (C) 2011  Nobun
 *  http://mugenrebirth.forumfree.it
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program (GPL.txt).  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************/

#ifndef MAIN_SUBSFF_SFF_CHOOSE_FORMAT_H
#define MAIN_SUBSFF_SFF_CHOOSE_FORMAT_H
 

#include "../../frmMain.h"

#include <QDialog>
#include <QComboBox>
#include <QPushButton>

//!This class contains the code for the Dialog "Choose Sff Output Format"
class dlgSffChooseFormat : public QDialog
{
    Q_OBJECT
    
private:
    frmMain * parent;

private:
    QComboBox * box;
    QPushButton * btnOk;
    QPushButton * btnCancel;
    
private:
    void defineList();

public:
    dlgSffChooseFormat(frmMain * parent, int val);
    
private slots:
    void slotOk();
};

#endif

