/*
 * Nomen - a New Opensource Mugen Editor by Nobun
 *
 *
 *  Copyright (C) 2011  Nobun
 *  http://mugenrebirth.forumfree.it
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program (GPL.txt).  If not, see <http://www.gnu.org/licenses/>.
 *
 ******************************************************/
 
#include "dlgSearchImage.h"
#include <QMessageBox>


dlgSearchImage::dlgSearchImage(SffWidget * _parent) {
  parent = _parent;
  ui.setupUi(this);
  connect(ui.btnOk, SIGNAL( clicked() ), this, SLOT( slotOk() ) );	
}


void dlgSearchImage::slotOk() {
  int tmp;
  if(ui.spinImage->value() == -1) tmp = parent->sff->searchItem(ui.spinGroup->value());
  else tmp = parent->sff->searchItem(ui.spinGroup->value(), ui.spinImage->value());	  
  
  if(tmp > -1) parent->ui.imgscroll->setValue(tmp+1);
  if(tmp == -1) {
	if(ui.spinImage->value() == -1) {
	  QMessageBox::information(parent, tr("Warning"), tr("There is no image in group %1") .arg(ui.spinGroup->value()) );
    }
    else {
	  QMessageBox::information(parent, tr("Warning"), tr("There is no image %1, %2") 
	                           .arg(ui.spinGroup->value()) .arg(ui.spinImage->value()) );   
    }
  }
  this->accept();
}

